| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Properties | Private Member Functions | Private Attributes | List of all members
IG.Plot2d.GraphItem Class Referenceabstract

Base lass for all items that can be put on a graph (including axes, labels, etc.). More...

Inheritance diagram for IG.Plot2d.GraphItem:
[legend]
Collaboration diagram for IG.Plot2d.GraphItem:
[legend]

## Public Member Functions
| GraphItem (GraphBase graph)
abstract void | UpdateInGraph ()
| Updates the current item in the containing control. More...
abstract void | DetachFromGraph ()
| Detaches the current item from the graph. More...

## Properties
GraphBase | Graph`[get, protected set]`
| Graph that contains this axis. More...

## Private Member Functions
| GraphItem ()

## Private Attributes
GraphBase | _graph

## Detailed Description

Base lass for all items that can be put on a graph (including axes, labels, etc.).

$A Igor Jun09;

## Constructor & Destructor Documentation

IG.Plot2d.GraphItem.GraphItem | ( |  | ) |
| inline private

IG.Plot2d.GraphItem.GraphItem | ( | GraphBase | graph | ) |
| inline

## Member Function Documentation

abstract void IG.Plot2d.GraphItem.UpdateInGraph | ( |  | ) |
| pure virtual

Updates the current item in the containing control.

Implemented in IG.Plot2d.GraphLineItem.

abstract void IG.Plot2d.GraphItem.DetachFromGraph | ( |  | ) |
| pure virtual

Detaches the current item from the graph.

Implemented in IG.Plot2d.GraphLineItem.

## Member Data Documentation

GraphBase IG.Plot2d.GraphItem._graph
| private

## Property Documentation

GraphBase IG.Plot2d.GraphItem.Graph
| get protected set

Graph that contains this axis.

The documentation for this class was generated from the following file:

- extensions/igplot2d/plot2d/develop/graph/GraphItem.cs